Bug 138534 - CVE-2004-1056 insufficient locking checks in DRM code
CVE-2004-1056 insufficient locking checks in DRM code
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Brian Brock
impact=moderate,public=20041109
: Security
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2004-11-09 15:00 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:32:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for this issue. (7.86 KB, patch)
2004-11-17 11:19 EST, Josh Bressers
no flags Details | Diff
rediff of above patch for RHEL3 (6.66 KB, patch)
2005-05-18 14:07 EDT, Don Howard
no flags Details | Diff
updated drm locking patch for rhel3 (7.13 KB, patch)
2005-06-15 12:52 EDT, Don Howard
no flags Details | Diff

  None (edit)
Description Josh Bressers 2004-11-09 15:00:07 EST
Stefan Dirsch reported to the freedesktop.org bugzilla an issue with
permissions within the DRM code.

See this url for more information, including a patch.
https://freedesktop.org/bugzilla/show_bug.cgi?id=1803

This issue should also affect RHEL2.1
Comment 1 Josh Bressers 2004-11-09 15:04:41 EST
This issue probably also affects RHEL4.
Comment 2 Mike A. Harris 2004-11-10 15:39:49 EST
DRM source is part of both the kernel and X.  We build it in the
kernel.  Reassigning to kernel component.
Comment 3 Ernie Petrides 2004-11-15 17:00:30 EST
Peter/Tim, I'm assuming that DaveJ is too busy with RHEL4 to take on
this bug.  But I don't know who else covers this area.  I'm sticking
PeterM with this for now (presumably for appropriate reassignment).

Josh, the URL in your initial comment times out.  Could you please
provide another pointer?  Thanks in advance.
Comment 4 Josh Bressers 2004-11-15 17:18:52 EST
freedesktop.org seems to be down.  I don't have a different source for
this information, hopefully the site comes back alive soon.  If not
I'll do some digging.
Comment 5 Mark J. Cox (Product Security) 2004-11-17 05:06:06 EST
Freedesktop.org was compromised. Google has it in cache:
http://216.239.39.104/search?q=cache:ZUUhmlXH98UJ:https://freedesktop.org/bugzilla/show_bug.cgi%3Fid%3D1803+&hl=en&start=1

Google doesn't have a cache of the patch
Comment 6 Josh Bressers 2004-11-17 11:19:03 EST
Created attachment 106893 [details]
Proposed patch for this issue.
Comment 7 Josh Bressers 2005-01-06 13:41:29 EST
Ping on this issue.
Comment 8 Mark J. Cox (Product Security) 2005-02-23 05:58:29 EST
The patch proposed is missing the definition of the LOCK_TEST..., see
instead 
http://mirror.clarkson.edu/pub/distributions/gentoo-portage/sys-kernel/gentoo-sources/files/gentoo-sources-2.4.20-CAN-2004-1056.patch
Comment 9 Ernie Petrides 2005-04-27 22:37:35 EDT
Reassigning to Don.
Comment 10 Don Howard 2005-05-18 14:07:42 EDT
Created attachment 114527 [details]
rediff of above patch for RHEL3
Comment 12 Don Howard 2005-06-15 12:52:27 EDT
Created attachment 115490 [details]
updated drm locking patch for rhel3
Comment 13 Ernie Petrides 2005-06-17 18:51:22 EDT
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.9.EL).
Comment 20 Red Hat Bugzilla 2005-09-28 10:32:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.